.body {
  max-width: 100%;
  font-family: Mulish;
  font-weight: 700;
  font-size: 16px;
  line-height: 1.6;
  letter-spacing: 0.5px;
  color: var(--main-06);
  background-color: var(--bg);
  overflow: hidden scroll;

  &.active {
    overflow: hidden;
  }
}

.wrapper {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.main {
  flex-grow: 1;
}

.disable-hover,
.disable-hover * {
  pointer-events: none !important;
}

[class*="__container"] {
  width: 100%;
  max-width: 1600px;
  padding: 0 30px;
  margin: 0 auto;
}

[class*="__title"],
.title,
.btn {
  color: var(--main);
}

.df {
  display: flex;
  align-items: center;
}

.dropdown {
  &__body {
    position: absolute;
    right: 0;
    width: 100%;
    border: 1px solid var(--main-008);
    border-radius: 16px;
    background-color: var(--bg-semi);
    box-shadow: rgb(27 32 50 / 10%) 0px 6px 16px;
    transform: translateY(20px);
    transition: opacity 0.2s, transform 0.4s;
    opacity: 0;
    visibility: hidden;
    z-index: 100;

    &.active {
      opacity: 1;
      visibility: visible;
      transform: translateY(10px);
    }
  }

  &__current,
  &__icon {
    pointer-events: none;
  }
}

.explore-link {
  background: linear-gradient(
    57deg,
    rgba(39, 137, 217, 0.9878545168067226) 0%,
    rgba(152, 56, 232, 1) 32%,
    rgba(214, 98, 61, 1) 63%,
    rgba(245, 232, 0, 1) 100%
  );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

//*============CARD================

.card {
  display: block;
  padding: 8px;
  overflow: hidden;
  border-radius: 16px;
  background-color: var(--bg-semi);
  border: 1px solid var(--main-008);

  box-shadow: rgb(0 0 0 / 8%) 0px 0px 4px 2px;
  transition: all 0.2s, background-color 0s;

  &:hover {
    transform: translateY(-4px);
    border-color: transparent;
    box-shadow: var(--main-01) 0px 0px 0px 2px;
  }
}

//*============TEXT================

.title {
  font-size: 28px;
  font-weight: 800;
  letter-spacing: 2px;
  line-height: 1.3;
}

//*============BTNS=================

.btn {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: nowrap;
  white-space: nowrap;
  line-height: 48px;
  height: 48px;
  padding: 0 20px;
  background: var(--main-004);
  border: 1px solid transparent;
  border-radius: 14px;
  font-weight: 700;
  transition: 0.2s;
  user-select: none;
  &:hover {
    background: var(--main-01);
  }
  &:active {
    transform: scale(0.95);
  }
}

.btn--second {
  color: var(--bg);
  background: var(--main);
  &:hover {
    background: var(--main);
  }
}

.btn--third {
  background-color: transparent;
  border: 1px solid var(--main-01);
  &:hover {
    background-color: transparent;
    border: 1px solid var(--main-02);
  }
}

.btn--show-more {
  margin-top: 25px;
  width: 100%;
  height: 55px;
  line-height: 55px;
  border-radius: 16px;
}

//*=============LOGO=================

.logo {
  min-height: 38px;
}

//*=============HOVERS=================

.hover--text {
  transition: 0.2s;
  &:hover {
    color: var(--main);
  }
}

.hover--text-grey {
  transition: 0.2s;
  &:hover {
    color: var(--main-06);
  }
}

//*=============LINKS=================

.main-link {
  position: absolute;
  width: 100%;
  height: 100%;
  inset: 0;
  z-index: 1;
}

//*================SEARCH================

.search {
  padding: 0 12px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  min-height: 40px;
  background-color: var(--main-004);
  border: 1px solid transparent;
  border-radius: 14px;
  transition: 0.2s;
  &:hover {
    border: 1px solid var(--main-02);
  }
  &:focus-within:not(:focus) {
    background: transparent;
    border: 1px solid var(--main-04);
  }

  &__input {
    font-size: 15px;
    min-height: 40px;
    width: 100%;
    background-color: transparent;
    color: var(--main);
    &::placeholder {
      color: var(--main-04);
    }
  }
}

.adp-search {
  position: absolute;
  padding: 20px 0;
  width: 100%;
  height: 100%;
  left: 0;
  background-color: var(--bg);
  transform: translateY(-30px);
  pointer-events: none;
  opacity: 0;
  transition: 0.3s;
  z-index: 3;

  &__inner {
    gap: 15px;
  }

  &__close-btn {
    padding: 0;
    width: 40px;
    height: 40px;
    background-color: transparent;
  }

  &.active {
    transform: translateY(0px);
    pointer-events: all;
    opacity: 1;
  }
}

//*===============HEADER===================

.header {
  position: sticky;
  padding: 20px 0;
  top: 0;
  min-height: 80px;
  z-index: 9999;
  background-color: var(--bg);

  &__inner {
    gap: 25px;
  }

  &__search {
    max-width: 400px;
    max-height: 40px;
  }

  &__wallet {
    height: 40px;
    font-size: 13px;
    font-weight: 700;
    line-height: 40px;
    text-transform: capitalize;
  }

  &__cart {
    margin-right: 8px;
    position: relative;
    color: var(--main);
    svg {
      width: 32px;
      height: 32px;
    }
  }

  &__cart-value {
    position: absolute;
    top: -3px;
    right: -8px;
    width: 20px;
    height: 20px;
    font-size: 10px;
    font-weight: 700;
    line-height: 20px;
    background-color: var(--accent);
    color: var(--white);
    border-radius: 8px;
  }

  &__burger-btn {
    display: none;
    svg {
      color: var(--main);
      width: 32px;
      height: 32px;
    }
  }

  &__search-btn {
    display: none;

    &::before {
      color: var(--main);
      font-size: 36px;
    }
  }
}

.header-menu {
  flex: 1 1 auto;

  &__list {
    gap: 25px;
  }
}

.theme-switcher {
  justify-content: center;
  margin-right: auto;
  width: 32px;
  height: 32px;
  font-size: 20px;
  color: var(--main);
  cursor: pointer;
}

.header-blog {
  padding: 20px 0;
  width: 100%;
  min-height: 80px;
  background-color: var(--bg-semi-blog);

  &__container {
    width: 100%;
    max-width: 1240px;
    padding: 0 20px;
  }

  &__logo {
    margin-right: 50px;
  }

  &__burger-btn {
    display: none;
    svg {
      color: var(--white);
      width: 32px;
      height: 32px;
    }
  }

  .header-menu {
    &__item {
      color: var(--white-06);
      transition: 0.2s;
      &:hover {
        color: var(--white);
      }
    }
  }

  .theme-switcher {
    position: relative;
    color: var(--white-06);
    margin-right: 15px;
    transition: 0.2s;
    &::before {
      font-size: 20px;
    }

    &::after {
      content: "";
      position: absolute;
      right: -10px;
      width: 1px;
      height: 80%;
      background-color: #ffffff20;
      pointer-events: none;
    }

    &:hover {
      color: var(--white);
    }
  }
}

.header-socials {
  &__link {
    padding: 10px;
    justify-content: center;
    color: var(--white-06);
    transition: 0.2s;
    &:hover {
      color: var(--white);
    }
    &::before {
      font-size: 20px;
    }
  }
}

//*==========FOOTER================

.footer-top {
  padding: 40px 0;
  margin-bottom: 30px;
  display: grid;
  column-gap: 50px;
  row-gap: 25px;
  grid-template-columns: 2fr 1fr 1fr 1fr 2fr;

  &__title {
    margin-bottom: 15px;
    font-size: 20px;
  }

  &__item {
    font-weight: 700;
    font-size: 14px;
  }

  &__item:not(:last-child) {
    margin-bottom: 12px;
  }
}

.footer-subscribe {
  &__form {
    padding: 6px 12px 6px 12px;
    width: 100%;
    height: 48px;
    gap: 10px;
    background-color: var(--main-004);
    border: 1px solid transparent;
    border-radius: 14px;
    transition: 0.2s;
    &:hover {
      border: 1px solid var(--main-02);
    }
    &:focus-within:not(:focus) {
      background: transparent;
      border: 1px solid var(--main-04);
    }
  }

  &__input {
    width: 100%;
    background-color: transparent;
    color: var(--main);

    &::placeholder {
      color: var(--main-06);
      font-weight: 700;
      font-size: 14px;
    }
  }

  &__btn {
    background-color: #ffffff00;
    color: var(--main);
  }
}

.footer-socials {
  &__body {
    gap: 10px;
  }

  &__link {
    padding: 0;
    height: 40px;
    width: 40px;
    line-height: 40px;
    border-radius: 12px;
  }
}

.footer-bottom,
.footer-blog {
  &__inner {
    padding: 30px 0 40px;
    font-size: 13px;
    font-weight: 700;
  }
  &__inner,
  &__items {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    column-gap: 30px;
    row-gap: 15px;
  }
}

.footer-bottom {
  border-top: 1px solid var(--main-008);
}

.footer-blog {
  background-color: var(--bg-semi-blog);

  &__copy {
    color: var(--white);
  }

  &__item {
    color: var(--white-06);
  }
}

//*============SECTION-TOP===============

.section-top {
  position: relative;
  display: flex;
  align-items: center;
  margin-bottom: 30px;
  min-height: 40px;
}

//*=============COVER-BG=================

.cover-bg {
  position: relative;
  display: block;
  overflow: hidden;
  background-color: var(--cover);
}

//*=============SLIDERS=================
.slider-preloader {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 15px;
  animation: pulse 1s linear infinite;

  &__item {
    position: relative;
    width: 100%;
    border-radius: 16px;
    background-color: var(--cover);

    &::before {
      content: '';
      position: absolute;
      top: 0;
      width: 100%;
      height: 100%;
    }
  }

  @keyframes pulse {
    0% {

      opacity: 0.5;
    }
    50% {
      opacity: 1;
    }
    100% {

      opacity: 0.5;
    }
  }
}

.swiper-container {
  overflow: hidden;
  padding: 10px 2px;
}


.scrollbar {
  margin: 30px auto 0px;
  height: 4px;
  width: 60%;
  background-color: var(--main-008);
  border-radius: 10px;
  cursor: pointer;
}

.swiper-scrollbar-drag {
  background: var(--main-06);
}

.slider-button {
  position: absolute;
  top: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 14px;
  box-shadow: rgb(0 0 0 / 8%) 0 0 4px 2px;
  border: 1px solid var(--main-004);
  background: var(--bg-semi);
  color: var(--main);
  cursor: pointer;
  transition: 0.2s;
  z-index: 2;

  &:hover {
  }

  &__next {
    right: 0;
    transform: translateY(-50%) rotate(180deg);

    &:active {
      transform: translateY(-50%) rotate(180deg) scale(0.95);
    }
  }

  &__prev {
    right: 50px;
    transform: translateY(-50%);

    &:active {
      transform: translateY(-50%) scale(0.95);
    }
  }
}
.swiper-button-disabled {
  cursor: default;
  pointer-events: none;
}

//*===============CARDS==================

.nft-card {
  background-color: var(--bg);

  &:hover {
    .nft-card__img {
      &::before {
        opacity: 1;
      }
    }
    .nft-card__buttons {
      opacity: 1;
      visibility: visible;
      transform: translate(-50%, 0) scale(1);
    }
  }

  &__top {
    position: relative;
  }

  &__img {
    position: relative;
    width: 100%;
    padding-top: 100%;
    border-radius: 10px;
    transition: 0.2s;

    &::before {
      content: "";
      position: absolute;
      inset: 0;
      opacity: 0;
      background: linear-gradient(rgba(0, 0, 0, 0) 0%, rgba(25, 28, 31, 0.3) 95%);
      transition: 0.2s;
      z-index: 2;
    }

    img {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      object-fit: cover;
    }
  }

  &__buttons {
    justify-content: center;
    gap: 5px;
    position: absolute;
    bottom: 15px;
    left: 50%;
    transform: translate(-50%, 10px) scale(0.9);
    opacity: 0;
    visibility: hidden;
    cursor: pointer;
    transition: 0.2s;
    z-index: 2;
  }

  &__btn {
    padding: 0;
    height: 40px;
    min-width: 40px;
    line-height: 40px;
    font-size: 13px;
    font-weight: 700;
    &.buy-now-btn {
      padding: 0 16px;
    }
  }

  &__main {
    padding: 12px;
  }

  &__author {
    gap: 5px;
    font-size: 13px;

    .icon-verify {
      width: 12px;
      height: 12px;
    }
  }

  &__author-text,
  &__name {
    max-width: 100%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  &__name {
    font-size: 15px;
    color: var(--main);
  }

  &__footer {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    background-color: var(--main-004);
    padding: 12px;
    border-radius: 10px;
  }

  &__price,
  &__bid {
    font-size: 13px;
    display: flex;
    flex-direction: column;
    gap: 4px;
  }

  &__price-value,
  &__bid-value {
    color: var(--main);
  }
}

.coll-item {
  &__img {
    position: relative;
    width: 100%;
    padding-top: 56%;
    border-radius: 10px;
    img {
      position: absolute;
      width: 100%;
      height: 100%;
      top: 0;
      object-fit: cover;
    }
  }

  &__main {
    padding: 12px 12px 6px;
    margin-top: -26px;
    gap: 20px;
  }

  &__avatar {
    width: 75px;
    height: 75px;
    min-width: 75px;
    border: 3px solid var(--main-004);
    border-radius: 14px;
    box-shadow: var(--bg) 0px 0px 4px 0px;
    z-index: 2;
    transition: 0.2s;
    img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
    &:hover {
      border: 3px solid var(--main-002);
    }
  }

  &__box {
    margin-top: 20px;
    gap: 10px;
    overflow: hidden;
  }

  &__name {
    max-width: 250px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    word-break: break-all;
    font-weight: 700;
    color: var(--main);
  }
}
